Name:           kde-connect
Version:        0.4.2
Release:        1%{?dist}
License:        GPLv2+
Summary:        KDE Connect client for communication with smartphones

Url:            https://projects.kde.org/projects/playground/base/kdeconnect-kde
Source0:        http://download.kde.org/unstable/kdeconnect/%{version}/src/kdeconnect-kde-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  qjson-devel
BuildRequires:  qca2-devel

Requires:       kde-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
KDE Connect adds communication between KDE and your smartphone.

Currently, you can pair with your Android devices over Wifi using the
KDE Connect app from Albert Vaka which you can obtain via Google Play or the
project website.

%prep
%setup -q -n kdeconnect-kde-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%files
%doc COPYING README
#lib
%{_kde4_libdir}/kde4/imports/org/kde/kdeconnect/libkdeconnectdeclarativeplugin.so
%{_kde4_libdir}/kde4/imports/org/kde/kdeconnect/
%{_kde4_libdir}/kde4/kcm_kdeconnect.so
%{_kde4_libdir}/kde4/kded_kdeconnect.so
%{_kde4_libdir}/libkdeconnect.so
%{_kde4_libdir}/libkdeconnect.so.1
%{_kde4_libdir}/libkdeconnect.so.1.0.1
#dbus interfaces
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.daemon.xml
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.device.battery.xml
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.device.notifications.notification.xml
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.device.notifications.xml
%{_datadir}/dbus-1/interfaces/org.kde.kdeconnect.device.xml
#modules
%{_kde4_libdir}/kde4/kdeconnect_*.so
%{_kde4_appsdir}/kdeconnect/
%{_kde4_appsdir}/plasma/plasmoids/kdeconnect/
%{_kde4_datadir}/kde4/services/kcm_kdeconnect.desktop
#module desktop files
%{_kde4_datadir}/kde4/services/kdeconnect_*.desktop
%{_kde4_datadir}/kde4/services/kded/kdeconnect.desktop
%{_kde4_datadir}/kde4/services/plasma-kdeconnect.desktop
%{_kde4_datadir}/kde4/servicetypes/kdeconnect_plugin.desktop


%changelog
* Thu Jan 02 2014 Martin Briza <mbriza@redhat.com> - 0.4.2-1
- Initial package